# This mod will add multiple new armor sets. You should be able to modify them using config files now. 

## ** Please delete your old config file when new versions are released! **

### Discord:
>
Contact me for bug reports, in most of the Valheim modding discords. Username: southsil#6784
>
### Acknowledgements:
>I would like to express my immense thanks to GoldenJude. Without their help and guidance I would never have come close to being able to create this mod. I would also like to thank blaxxun and Azumatt for their help.

### Issues:
>Set bonuses cannot be modified and I have no ability to change that - sorry. 
<br>

# Aim of this mod

### With patch 3.0.0  I have tried hard to balance the added armors so that they compliment the vanilla armors without outshining them.  My overall hope is that they provide more, interesting options. 

### Mostly, the added armors will benefit those who want to play more slowly and progress more safely, as they tend to provide extra, optional, incremental steps of power, before progressing to the next biome.

### In _most_ cases, the modded armours in a respective tier, when compared to vanilla armor of that tier, tend to have:
-	Increased armor value, at the cost of increased movement speed penalty.
-	More costly to make, or require rarer materials (eg. rare trophies)
-	Set bonus (which is usually niche, and can be ideally be ignored easily)
-	Rarely, a resistance (these are very powerful).


### Examples include:
 Heavy armor: 
-   +2armor/piece compared to vanilla
-   -7%movement speed/piece (compared to -5% on vanilla armors)
-   Set bonus

Very Heavy armor:
-    +4armor/piece compared to vanilla
-    -9%movement speed/piece
-   Set bonus

### There are some exceptions. I am also starting to add lighter (than vanilla) armors.

### There is also a cluster of armors currently powered around Ashlands tier. Some of these will be updated as further biomes are released. Eg. the "Deep North Armor" will, one day, be balanced around that biome. The crafting materials will, of course, be updated.

### There are two "secret" armors, which I have made no attempt to balance. Please ignore them if you want a balanced play through... or become godly and enjoy them for what they are!



# Armors

## Meadows tier
#### Neck-King armor.
A lighthearted set themed around Necks, and the jewels from crypts. Set bonus = +10 swim skill, poisen resistance.

	ID: neckhelm, neckchest, necklegs

#### Chieftain armor
A heavier leather armor which is visually quite busy/complex... two helmets, one with a boar hood, the other with a deer hood. Each helm has a 1-piece set bonus. Also some reasonably cool and blue tattoos.

	ID: chiefhelmboar, chiefhelmdeer, chiefchest, chieflegs

## Bronze tier
#### Trollfighter armor.
A heavy bronze armor. There is an alternative helmet made for a good friend. Unique helm has a one-piece set bonus of +5 Clubs skill & + 25 Max Carry Weight.

	ID: trollhelm, trolllegs, bronzetrollhelm (default), trollhelm (harder to make, more unique).

#### Battleswine armor.
A very heavy bronze armor, themed around the Boar. No set bonus currently. 

    ID: heavybronzehelm, heavybronzechest, heavybronzelegs.

## Iron tier
#### Knight armor. 
A heavy iron ages armor. Set bonus = +15 blocking skill.

    ID: knighthelm, knightlegs, knightchest.

#### Abomination armor.
A very heavy iron set. Set bonus = Resistance to Blunt, Weakness to Fire.

    ID: swamphelm, swampchest, swamplegs.

## Silver tier
#### Stone Golem armor. 
A heavy silver armor. Set bonus = Resistance to Frost & +10% Stam & HP recovery. Chest has Pierce resistant innately.

    ID: skoghelm, skogchest, skoglegs.

#### Sven's armor.
A unique set with no movement speed penalty and a bonus to bows, whilst still having high armor value. Very costly to make as a downside. Helm has a one-piece set bonus of +15 Bows skill. 
    
    ID: sven, svenchest, svenlegs.

## Plains tier
#### Shieldmaiden's armor. 
Lighter than padded armor, with 2 less armor/piece and -2%movement speed/piece, only. Set Bonus = +15 Clubs skill. 

Please be aware that the chest and, to a lesser extent, the legs of this armor will NOT show correctly on characters with a male body. It doesn't look terrible but there are some pretty significant clipping issues, as it's designed around the female character. 

    ID: norahhelm, norahlegs, norahchest. 

There is also an alternative helm, a hood, with ID: norahhelmalt. Once again this mesh does not appear entirely correctly on male characters.

#### Blackmetal armor.
A heavy plains set, using blackmetal. No set bonus. 
    
    ID: bphelm, bpchest, bplegs.

#### Dwarven Steel armor.
Another heavy plains set. Expensive to make. Set bonus = +15 Pickaxes skill & +50 Max Carry Weight

    ID: bearhelm, bearlegs, bearchest.

#### Loxgol armor.
A very heavy plains tier armor. Themed around mongols. Set bonus = +30 Riding skill

    ID: loxhunthelm, loxhuntchest, loxhuntlegs.
    
## Mistlands tier
#### Hrimbur (Frost mage) armor.
My first go at a mage set - be kind. A bit heavier than the vanilla Eitr-weave set. No Eitr regen, but bonus to Elemental magic as a set bonus.

    ID: icemagehelm, icemagechest, icemagelegs.

#### Heavy Fenrir armor. 
A light, unique set emphasis on speed and sneak, whilst still offering high protection. Made for my sister, and in my opinion one of the slightly overpowered sets. Set bonus = +5% Movement speed - 25% stamina usage with both running and jumping, +25% stealth. 

    ID: obswolfhelm, obswolfchest, obswolflegs.


#### Druid armor. 
Slightly lighter than carapace armor. Bulky magic user. Set bonus = Elemental magic + 15, Stamine regen + 10%, Max carry weight + 50. 

    IDs druidhelm, druidchest, druidlegs. 

#### Gjall-hunter armor.
Powerful set which is both light and strong, bonuses to bows, jump and stamina. Late Mistlands, and quite expensive to make. 

    IDs heavycarhelm, heavycarchest, heavycarlegs.
    
#### Rune Knight armor. 
Heavy Mistlands armor. Mage-knight, with a set bonus boosting magic. 
Requires Knight armor pieces to craft.

    ID: runeknighthelm, runeknightchest, runeknightlegs.
    
#### Jotunn-Bone armor. 
Very heavy Mistlands armor. Think "The Mountain" from GOT.
Requires Dwarven Steel pieces to craft.
Set bonus = +15 Halberd skill, + 50 Max Carry weight, +10% health regen.

    ID: bearhelm2, bearchest2, bearlegs2.
    
## Ashlands tier
#### Aesir armor
This armor will likely be moved to a higher tier, in future updates.
For now, it is slightly lighter than the predicted vanilla ashlands armor. It could be seen as an end-game Mistlands armor. Requires very rare materials, but has a significant set bonus.
Set bonus = + 15 all skills (note, the tooltip appears as [skill_all], which I can't fix.)

    ID: valkhelm, valkchest, valklegs.

#### Valdr armor.
Another armor which will probably be moved to Aesir tier later. Set bonus = stam regen bonus and +15 axe skill.

    ID: heavywolfhelm, heavywolfchest, heavywolflegs

#### Warlord armor.
Heavy ashlands armor. Set bonus to swords. Crafting materials will likely be updated when Ashlands is released. Set bonus = +15 Swords skill.

    ID: warlordhelm, warlordchest, warlordlegs.

#### St. Jude's armor.
(Yes, that Jude. Fun fact, my introduction to modding was commissioning GoldenJude to make the Serpent Knight armor. Recently, I wasn't sure if Jude was going to keep his mod updated, so I decided to make this armor which is visually very similar to the Serpent armor.)

Another heavy ashlands armor, without the extra movement speed penalty (eg. only -5%). Strong set bonus of +20% both HP and stam regen. 

    ID: stjudehelm, stjudechest, stjudelegs.

#### Flame Drake armor.
Very heavy ashlands armor. Charizard. Set bonus = +40% health regen and Resistance to Fire.

    ID: lagihelmalt, lagichest, lagipants.

#### Deep North armor. 
Currently balanced as a heavy/very heavy Ashlands armor. Will obviously be upgraded when future biomes come out. Set bonus = Resistance to frost and +15% Stam and HP regen.

    ID: trueskoghelm, trueskogchest, trueskoglegs.

## Unbalanced sets

# Please do not use these for balanced gameplay.

#### Dragon Queen Champion's armor
This is a set made for someone very dear to me. It gives you a permanent tailwind and significantly overpowered set bonuses. Please simply ignore it if you don't want to use it.

    ID: sven2, sven2chest, sven2legs, sven3.

#### World Serpent armor
Remember those awesome N64 games where you could unlock something ridiculous once you'd finished the game? This armor is a bit like that. Enjoy it for what it is, wear it if you want to feel like a true Aesir. You will need multiple other sets to craft it.

    ID: wshelm, wschest, wslegs.
    
    
## Changelog:

3.0.2 - Tidied up a few small things, including removing the fifth material to craft the Heavy Fenrir set. The UI has changed and no longer blinks to show the fifth item, making it very confusing and impossible to see what was required. So, I just removed it. All items should have a max material amount of 4, now. Added meadow tier armors.

<br>
<details><summary><b><span style="color:teal;font-weight:200;font-size:18px">Older Logs</span></b></summary>
<br><br>
3.0.1 - Readme updated to include Valdr armor. Added Battleswine armor.
<br><br>
3.0.0 - Extensive nerfs and rebalancing of virtually every set. Polish to Abomination and black metal sets. New sets added - St Jude's, Gjall-hunter, Trollfighter, Hrimbur. With so many changes, I have tried hard to find errors and fix them, however some will sneak through. Please let me know what you find.
<br><br>
2.7.4 - Updated to work with the latest Valheim patch. This required an entire new visual studio project so there might be some hiccups - let me known on discord if you find problems, please. Adds two new sets (16 and 17), but one not finished and neither all that polished. A few other miscellaneous balance changes and fixes, eg. nerf to Sven's set and the best legs in the game won't clip through the world anymore.
<br><br>
2.7.3 - Sorry for the rapid update, minor visual issue fixed. 
<br><br>
2.7.2 - Updated to (hopefully) work with Hildir patch. Also some visual changes to an armor which doesn't exist. 
<br><br>
2.7.1 - Updated references so hopefully it works with the new patch. A few minor tweaks to stuff, like innate resistances removed from some sets. Definitely nothing else...
<br><br>
2.7.0 - Added two new armors. Visual overhaul to Deep North Armor. Some crafting material changes (please delete config for them to be in effect). Hopefully have added localisation support too. 
<br><br>
2.6.2 - Added Druid armor. Minor changes to other sets (eg. flavour text etc). 
<br><br>
2.6.1 - Changes to Sven's original set, and addition of Dragon Champion set (which is an upgraded version of Sven's set). Also added Jotunn-Bone Armor, which is an upgrade of Dwarven Steel Armor. Reduced base armor of Dwarven steel (was too high for mats required). <br><br>
2.6.0 - Nerfs to almost every set bonus, attempting to bring them closer in line with Vanilla armor in terms of power. Knight armor individual pieces nerfed too (no innate resistance on helm, but remains on torso). Old Deep North Armor has changed to be Stone Golem Armor (item IDs are unchanged), and power of this armor set reduced to be high silver tier. Added two new sets, Deep North (a "true" version of the old DN armor/ current Stone Golem armor) and Rune Knight armor (an evolution of the current Knight armor). Both new sets are Ashlands or Deep North tier - very powerful. Multiple small tweaks to flavour text, set names, texures, armor values, crafting materials.
<br><br>
2.5.0 - Nerfed Flame Drake set bonus to 100% and increased armor. Removed original FD helm, now only lagihelmalt exists. Added alternative helm to Shieldmaiden set and upgraded this set to Plains tier. Added two ABSOLUTELY BANGING new armor sets - Heavy Fenrir and Aesir  - enjoy!!!!  
<br><br>
2.4.2 - Adds Shieldmaiden's armor. Changes upgrading costs (god I had forgotten how painful chains are to collect), name, and description for Wandering Knight's armor (now just "Knight's").  
<br><br>
2.4.1 - Fixes Wandering Knight set. I swear I checked this ~_~. Sorry lol.  
<br><br>
2.4.0 - Uses updated ItemManager, ServerSync (with thanks to blaxxun) and Mistlands Refs (hopefully haven't messed these up), as well as adds Wandering Knight armor. Other minor tidying of pre-existing sets.  
<br><br>
2.3.0 - Ornate/Kilted Silver Armor added (meant to compliment Sven's helm visually)  
<br><br>
2.2.4 - Deep North Armor durability and repair errors fixed  
<br><br>
2.2.3 - Deep North Armor chest and legs revamped significantly  
<br><br>
2.2.1 - Server sync fix/issues (Another thanks to those much cleverer than me!)  
<br><br>
2.2.0 - Dwarven Steel armor added  
<br><br>
2.0.1 - Minor adjustments to armors  
<br><br>
2.0.0 - Flame Drake Armor added  
<br><br>
1.1.3 - Sven's helm added  
<br><br>
1.1.2 - Minor adjustments to Deep North Armor  
<br><br>
1.1.0 - initial release

### Support
<p align="center">Like my work and want to support what I do?</a>
<p align="center"><a href="https://www.buymeacoffee.com/?????"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-violet.png" width="200" height="50"></a>
<a href="https://ko-fi.com/?????"><img src="https://storage.ko-fi.com/cdn/brandasset/kofi_button_blue.png" width="200" height="50"></a>
